pcl::FPFHSignature33 Struct Reference
Module common

A point structure representing the Fast Point Feature Histogram (FPFH). More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | histogram [33]

## Friends

std::ostream & | operator<< (std::ostream &os, const FPFHSignature33 &p)

## Detailed Description

A point structure representing the Fast Point Feature Histogram (FPFH).

Definition at line 1281 of file point_types.hpp.

## Member Function Documentation

static int pcl::FPFHSignature33::descriptorSize | ( |  | ) |

inline static

Definition at line 1284 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const FPFHSignature33 & | p
| ) |  |

friend

## Member Data Documentation

float pcl::FPFHSignature33::histogram[33]

Definition at line 1283 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp